import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';
import 'package:taafee_mobile/common/widgets/header_screen.dart';
import 'package:taafee_mobile/common/widgets/listview.dart';
import 'package:taafee_mobile/features/card/presentation_layer/widgets/feedback_widget.dart';

class FeedbackScreen extends StatelessWidget {
  const FeedbackScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          HeaderScreen(
            "Feedback",
          ).paddingOnly(top: 20),
          SizedBox(
            width: Get.width,
            child: ListViewWidget(
                itemCount: 10,
                childBuilder: (index) {
                  return const FeedbackWidget();
                }),
          )
        ],
      ),
    ).makeSafeArea();
  }
}
